Bug 525945 - X61 screen corrupt after undocking
Summary: X61 screen corrupt after undocking
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-27 13:03 UTC by Joe Orton
Modified: 2018-04-11 07:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-26 14:52:02 UTC


Attachments (Terms of Use)
Xorg.0.log (37.42 KB, text/plain)
2009-09-27 13:03 UTC, Joe Orton
no flags Details
lspci output (1.96 KB, text/plain)
2009-09-27 13:06 UTC, Joe Orton
no flags Details

Description Joe Orton 2009-09-27 13:03:33 UTC
Created attachment 362821 [details]
Xorg.0.log

Description of problem:
After the X61 undocks, the screen is left corrupt (vertial stripes, random colours).   This worked in F10, FWIW.

dmesg says, on undocking:

ACPI: \_SB_.GDCK - undocking
usb 1-4: USB disconnect, address 4
usb 1-4.1: USB disconnect, address 5
e1000e: eth0 NIC Link is Down
[drm] LVDS-8: set mode  d

I can switch to another VT fine, whereby the console says:

[drm] LVDS-8: set mode 1024x768 13

(as it did on boot)

switching back and forth to the X vt gives an apparently random mode:

[drm] LVDS-8: set mode 1024x768 13        <-- console vt
[drm] LVDS-8: set mode  e                 <-- X VT
[drm] LVDS-8: set mode 1024x768 13        <-- console vt
[drm] LVDS-8: set mode  15                <-- X VT
[drm] LVDS-8: set mode 1024x768 13        <-- console vt

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.7.0-7.fc11.x86_64
kernel-2.6.30.5-43.fc11.x86_64

How reproducible:
always

Steps to Reproduce:
1. boot laptop
2. undock
  
Actual results:
screen corrupt

Expected results:
not fail

Additional info:

Comment 1 Joe Orton 2009-09-27 13:04:36 UTC
To be clear: the console VTs work and appear fine.  the X VTs continue to show the corrupt image on switching back, after the undock.  I can SIGTERM X and restart it, at which point it also works fine.

Comment 2 Joe Orton 2009-09-27 13:06:13 UTC
Created attachment 362822 [details]
lspci output

lspci output (when undocked)

Comment 3 Matěj Cepl 2009-11-05 18:38:32 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 4 Matěj Cepl 2010-02-26 12:19:42 UTC
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]

Comment 5 Joe Orton 2010-02-26 14:52:02 UTC
This started working at some point in F12 updates.


Note You need to log in before you can comment on or make changes to this bug.